/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */

#include "Graph/Edges/InworldEdge_SafetyResult.h"

#include "Graph/InworldData.h"

bool UInworldEdge_SafetyResult::MeetsCondition_SafetyMatch(
	const UInworldProcessContext* ProcessContext, const FInworldData_SafetyResult& SafetyResult) const
{
	return SafetyResult.bIsSafe == bRequireSafe;
}
